org.ajax4jsf.component

## Class UIActionParameter

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIParameter
      - - org.ajax4jsf.component.UIActionParameter

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ActionListener, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.JavaScriptParameter

      public class UIActionParameter
      extends javax.faces.component.UIParameter
      implements javax.faces.event.ActionListener, org.ajax4jsf.component.JavaScriptParameter

  Version:
    $Revision: 1.1.2.2 $ $Date: 2007/02/01 15:31:55 $
  Author:
    shura (latest modification by $Author: alexsmirnov $)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIParameter

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIActionParameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.MethodExpression` | `getActionListener()`
    `javax.el.ValueExpression` | `getAssignToBinding()`
    `javax.faces.convert.Converter` | `getConverter()`
    `String` | `getName()`
    `Object` | `getValue()`
    `boolean` | `isNoEscape()`
    `void` | `processAction(javax.faces.event.ActionEvent actionEvent)`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setActionListener(javax.el.MethodExpression actionListener)`
    `void` | `setAssignToBinding(javax.el.ValueExpression propertyBinding)`
    `void` | `setConverter(javax.faces.convert.Converter converter)`
    `void` | `setNoEscape(boolean noEscape)`

    - ### Methods inherited from class javax.faces.component.UIParameter

      `getFamily, isDisable, setDisable, setName, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIActionParameter

          public UIActionParameter()

  - ### Method Detail

    - #### setAssignToBinding

          public void setAssignToBinding(javax.el.ValueExpression propertyBinding)

    - #### getAssignToBinding

          public javax.el.ValueExpression getAssignToBinding()

    - #### getActionListener

          public javax.el.MethodExpression getActionListener()

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression actionListener)

    - #### setConverter

          public void setConverter(javax.faces.convert.Converter converter)

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

    - #### setNoEscape

          public void setNoEscape(boolean noEscape)

      Specified by:
        `setNoEscape` in interface `org.ajax4jsf.component.JavaScriptParameter`

    - #### isNoEscape

          public boolean isNoEscape()

      Specified by:
        `isNoEscape` in interface `org.ajax4jsf.component.JavaScriptParameter`

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `javax.faces.component.UIParameter`

    - #### getValue

          public Object getValue()

      Overrides:
        `getValue` in class `javax.faces.component.UIParameter`

    - #### processAction

          public void processAction(javax.faces.event.ActionEvent actionEvent)
                             throws javax.faces.event.AbortProcessingException

      Specified by:
        `processAction` in interface `javax.faces.event.ActionListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.